AccountControllerPromoteVirtualAccount Method |
POST /Account/PromoteVirtualAccount/{id}
Promotes the virtual account to a non-virtual account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("PromoteVirtualAccount")]
public IActionResult PromoteVirtualAccount(
Guid id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("PromoteVirtualAccount")>
Public Function PromoteVirtualAccount (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"PromoteVirtualAccount")]
IActionResult^ PromoteVirtualAccount(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("PromoteVirtualAccount")>]
member PromoteVirtualAccount :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the account to be promoted. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also